#ifndef CAMPSHOPITEM_H
#define CAMPSHOPITEM_H

#include <shopitem.h>

class CampShopItem : public ShopItem
{
public:
    CampShopItem(QObject *parent = 0);

    // IShopItem interface
public:
    int id();
    QString name();
    QString shortName();
    QDecDouble unitPrice();
    Enums::VatType vatType();
    QString pluginId();

    // ShopItem interface
public:
    QString code();

    void setUnitPrice(const QDecDouble &unitPrice);
    void setVatType(const Enums::VatType &vatType);
    void setId(int id);

private:
    int m_id;
    QDecDouble m_unitPrice;
    Enums::VatType m_vatType;
};

typedef QSharedPointer<CampShopItem> CampShopItemPtr;

#endif // CAMPSHOPITEM_H
